
Redmine - Patch #37465

Update Rails to 5.2.8.1

2022-07-19 15:37 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Rails support Estimated time: 0.00 hour

Target version: 4.2.8   

Description

Related issues:

Related to Redmine - Defect #37719: Broken serialized columns, if saved time ... Closed

Related to Redmine - Defect #37784: Crash on running v4.2.8 Closed

Copied from Redmine - Patch #37452: Update Rails to 6.1.7 Closed

Associated revisions

Revision 21721 - 2022-07-20 04:43 - Go MAEDA

Update Rails to 5.2.8.1 (#37465).

Revision 21871 - 2022-09-30 09:01 - Go MAEDA

Merged r21863 from trunk to 4.2-stable (#37465, #37719).

History

#1 - 2022-07-19 15:37 - Go MAEDA

- Copied from Patch #37452: Update Rails to 6.1.7 added

#2 - 2022-07-20 04:43 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Done in r21721.

#3 - 2022-09-30 09:00 - Go MAEDA

- Related to Defect #37719: Broken serialized columns, if saved time was with Rails 4.2 added

#4 - 2022-10-10 18:42 - salman mp

Does it tested with Ruby < '2.6'?

I got the following exception:

/usr/lib/ruby/2.5.0/psych/nodes/node.rb:49:in `to_ruby': Cannot load database configuration: (ArgumentError)  

                  

wrong number of arguments (given 1, expected 0)

and this change fixes error:

Index: Gemfile

<+>UTF-8

===================================================================

diff --git a/Gemfile b/Gemfile

--- a/Gemfile

+++ b/Gemfile

@@ -25,7 +25,7 @@

 gem "rbpdf", "~> 1.20.0" 

 gem 'addressable'
 gem 'rubyzip', '~> 2.3.0'

-gem 'psych', '~> 3.1' if Gem.ruby_version < Gem::Version.new('2.6.0')

+gem 'psych', '~> 3.1.0' if Gem.ruby_version < Gem::Version.new('2.6.0')

 Env:

ruby 2.5.0

redmine: 4.2.8

#5 - 2022-10-11 04:44 - Go MAEDA

salman mp wrote:

Does it tested with Ruby < '2.6'?

I got the following exception:

[...]

and this change fixes error:

[...]

Env:

ruby 2.5.0

redmine: 4.2.8

 I have just tested with Ruby 2.4 and found no problems.

Since this issue is closed and the change has already been released, could you open a new issue? Also, please attach your database.yml with

confidential information masked to the new issue.

#6 - 2022-10-17 15:04 - Holger Just

- Related to Defect #37784: Crash on running v4.2.8 added

Files

redmine-4.2.7-rails-yaml-safe_load.patch 1002 Bytes 2022-07-17 Azamat Hackimov
